module GraphQLPreview
  module Extensions
    module EnabledPreviews
      def enabled_previews(environment = nil)
        metadata[:enabled_previews].select do |preview|
          if environment.nil?
            true
          else
            preview.environments.nil? || preview.environments.include?(environment)
          end
        end
      end
    end
  end
end
